gr::funcube::fcdpp Class Referenceabstract

Funcube Pro+ Dongle source block. More...

`#include <fcdpp.h>`

Inheritance diagram for gr::funcube::fcdpp:

## Public Types

typedef std::shared_ptr< fcdpp > | sptr

## Public Member Functions

virtual void | set_freq (double freq)=0
| Set frequency with resolution defined by unit.
virtual void | set_lna (int gain)=0
| Switches the LNA on/off.
virtual void | set_mixer_gain (int gain)=0
| Switches mixer gain onf/off.
virtual void | set_freq_corr (double ppm)=0
| Set new frequency correction.
virtual void | set_if_gain (int gain)=0
| Set If gain.

## Static Public Member Functions

static sptr | make (const std::string device_name="", int unit=1)
| Return a shared_ptr to a new instance of funcube::fcdpp.

## Detailed Description

Funcube Pro+ Dongle source block.

This class provides a source block for the Funcube Pro+ Dongle by wrapping the alsa audio interface and the USB control interface of the Funcube Dongle into one convenient source block. The hadware audio device is autodetected by the card name. If more than one Pro+ are connected it takes the first card. The block was tested with firmware version 20.3

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<fcdpp> gr::funcube::fcdpp::sptr

## Member Function Documentation

## make()

static sptr gr::funcube::fcdpp::make | ( | const std::string | device_name = `""`,
|  | int | unit = `1`
| ) |  |

static

Return a shared_ptr to a new instance of funcube::fcdpp.

To avoid accidental use of raw pointers, funcube::fcdpp's constructor is in a private implementation class. funcube::fcdpp::make is the public interface for creating new instances.

## set_freq()

virtual void gr::funcube::fcdpp::set_freq | ( | double | freq | ) |

pure virtual

Set frequency with resolution defined by unit.

Parameters

  freq | The frequency in unit Hz

Sets the frequency of the Funcube Dongle with Hz or Khz resolution depending on the unit parameter ( 1: Hz , 1000 Khz ) applying the frequency correction set by set_freq_corr().

Implemented in gr::funcube::fcdpp_impl.

## set_freq_corr()

virtual void gr::funcube::fcdpp::set_freq_corr | ( | double | ppm | ) |

pure virtual

Set new frequency correction.

Parameters

  ppm | The new frequency correction in parts per million

Funcube recommends 0 for the Pro+.

Ref: http://www.funcubedongle.com/MyImages/FCD2ManualV4.pdf

Implemented in gr::funcube::fcdpp_impl.

## set_if_gain()

virtual void gr::funcube::fcdpp::set_if_gain | ( | int | gain | ) |

pure virtual

Set If gain.

Parameters

  gain | The If gain value between 0 and 59 db

Implemented in gr::funcube::fcdpp_impl.

## set_lna()

virtual void gr::funcube::fcdpp::set_lna | ( | int | gain | ) |

pure virtual

Switches the LNA on/off.

Parameters

  gain | lna on/off.

Implemented in gr::funcube::fcdpp_impl.

## set_mixer_gain()

virtual void gr::funcube::fcdpp::set_mixer_gain | ( | int | gain | ) |

pure virtual

Switches mixer gain onf/off.

Parameters

  gain | true means on.

Implemented in gr::funcube::fcdpp_impl.

The documentation for this class was generated from the following file:

- fcdpp.h